WaMCP
Api referencemessaging

Send Reaction

React to a message with an emoji (empty emoji removes the reaction).

POST
/api/messaging/send-reaction

React to a message with an emoji (empty emoji removes the reaction).

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/messaging/send-reaction" \  -H "Content-Type: application/json" \  -d '{    "client_id": "string",    "to": "string",    "message_id": "string",    "emoji": "string"  }'
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}